GWT 2.7.0

## com.google.gwt.dom.builder.client
Class DomButtonBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.client.DomElementBuilderBase<ButtonBuilder,ButtonElement>
              com.google.gwt.dom.builder.client.DomButtonBuilder

All Implemented Interfaces:
  ButtonBuilder, ElementBuilderBase<ButtonBuilder>

    public class DomButtonBuilder

extends DomElementBuilderBase<ButtonBuilder,ButtonElement>
implements ButtonBuilder

DOM-based implementation of `ButtonBuilder`.

Constructor Summary
`DomButtonBuilder(DomBuilderImpl delegate)`

Method Summary
`ButtonBuilder` | `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`ButtonBuilder` | `disabled()` Prevents the user from selecting this button.
`ButtonBuilder` | `name(java.lang.String name)` Form control or object name when submitted with a form.
`ButtonBuilder` | `value(java.lang.String value)` The current form control value.

Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### DomButtonBuilder

    DomButtonBuilder(DomBuilderImpl delegate)

Method Detail

### accessKey

    public ButtonBuilder accessKey(java.lang.String accessKey)

  Description copied from interface: `ButtonBuilder`
  A single character access key to give access to the form control.

  Specified by:
    `accessKey` in interface `ButtonBuilder`
  See Also:
    W3C HTML Specification

### disabled

    public ButtonBuilder disabled()

  Description copied from interface: `ButtonBuilder`
  Prevents the user from selecting this button.

  Specified by:
    `disabled` in interface `ButtonBuilder`
  See Also:
    W3C HTML Specification

### name

    public ButtonBuilder name(java.lang.String name)

  Description copied from interface: `ButtonBuilder`
  Form control or object name when submitted with a form.

  Specified by:
    `name` in interface `ButtonBuilder`
  See Also:
    W3C HTML Specification

### value

    public ButtonBuilder value(java.lang.String value)

  Description copied from interface: `ButtonBuilder`
  The current form control value.

  Specified by:
    `value` in interface `ButtonBuilder`
  See Also:
    W3C HTML Specification

GWT 2.7.0